// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_web

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// PricingServiceClient is the client API for PricingService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type PricingServiceClient interface {
	ListPricingProcess(ctx context.Context, in *order.ListPricingProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingProcessType(ctx context.Context, in *order.ListPricingProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingCategory(ctx context.Context, in *order.ListPricingCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingBrand(ctx context.Context, in *order.ListPricingBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingProduct(ctx context.Context, in *order.ListPricingProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingQuantityType(ctx context.Context, in *order.ListPricingQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingProductGroup(ctx context.Context, in *order.ListPricingProductGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingWarehouse(ctx context.Context, in *order.ListPricingWarehouseLocationRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingDeliveryCondition(ctx context.Context, in *order.ListPricingDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingNames(ctx context.Context, in *order.ListPricingNamesRequest, opts ...grpc.CallOption) (*order.ListPricingNamesResponse, error)
	// not implemented
	ListPricingSubGroup(ctx context.Context, in *order.ListPricingProductSubGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingSortType(ctx context.Context, in *order.ListPricingSortTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingPlantType(ctx context.Context, in *order.ListPricingPlantTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingSpecies(ctx context.Context, in *order.ListPricingSpeciesRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingMaturityGroup(ctx context.Context, in *order.ListPricingMaturityGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingFruitForm(ctx context.Context, in *order.ListPricingFruitFormRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListPricingPollinationType(ctx context.Context, in *order.ListPricingPollinationTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	GetPricing(ctx context.Context, in *order.GetPricingRequest, opts ...grpc.CallOption) (*order.GetPricingResponse, error)
	ListPricing(ctx context.Context, in *order.ListPricingRequest, opts ...grpc.CallOption) (*order.ListPricingResponse, error)
	SavePricing(ctx context.Context, in *SavePricingRequest, opts ...grpc.CallOption) (*SavePricingResponse, error)
	DeletePricing(ctx context.Context, in *DeletePricingRequest, opts ...grpc.CallOption) (*DeletePricingResponse, error)
	DeletePriceList(ctx context.Context, in *DeletePriceListRequest, opts ...grpc.CallOption) (*DeletePriceListResponse, error)
	UpdatePriceList(ctx context.Context, in *UpdatePriceListRequest, opts ...grpc.CallOption) (*UpdatePriceListResponse, error)
	UploadPricing(ctx context.Context, opts ...grpc.CallOption) (PricingService_UploadPricingClient, error)
}

type pricingServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPricingServiceClient(cc grpc.ClientConnInterface) PricingServiceClient {
	return &pricingServiceClient{cc}
}

func (c *pricingServiceClient) ListPricingProcess(ctx context.Context, in *order.ListPricingProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingProcessType(ctx context.Context, in *order.ListPricingProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingCategory(ctx context.Context, in *order.ListPricingCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingBrand(ctx context.Context, in *order.ListPricingBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingProduct(ctx context.Context, in *order.ListPricingProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingQuantityType(ctx context.Context, in *order.ListPricingQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingQuantityType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingProductGroup(ctx context.Context, in *order.ListPricingProductGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingProductGroup", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingWarehouse(ctx context.Context, in *order.ListPricingWarehouseLocationRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingWarehouse", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingDeliveryCondition(ctx context.Context, in *order.ListPricingDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingNames(ctx context.Context, in *order.ListPricingNamesRequest, opts ...grpc.CallOption) (*order.ListPricingNamesResponse, error) {
	out := new(order.ListPricingNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingSubGroup(ctx context.Context, in *order.ListPricingProductSubGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingSubGroup", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingSortType(ctx context.Context, in *order.ListPricingSortTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingSortType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingPlantType(ctx context.Context, in *order.ListPricingPlantTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingPlantType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingSpecies(ctx context.Context, in *order.ListPricingSpeciesRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingSpecies", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingMaturityGroup(ctx context.Context, in *order.ListPricingMaturityGroupRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingMaturityGroup", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingFruitForm(ctx context.Context, in *order.ListPricingFruitFormRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingFruitForm", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricingPollinationType(ctx context.Context, in *order.ListPricingPollinationTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricingPollinationType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) GetPricing(ctx context.Context, in *order.GetPricingRequest, opts ...grpc.CallOption) (*order.GetPricingResponse, error) {
	out := new(order.GetPricingResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/GetPricing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) ListPricing(ctx context.Context, in *order.ListPricingRequest, opts ...grpc.CallOption) (*order.ListPricingResponse, error) {
	out := new(order.ListPricingResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/ListPricing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) SavePricing(ctx context.Context, in *SavePricingRequest, opts ...grpc.CallOption) (*SavePricingResponse, error) {
	out := new(SavePricingResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/SavePricing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) DeletePricing(ctx context.Context, in *DeletePricingRequest, opts ...grpc.CallOption) (*DeletePricingResponse, error) {
	out := new(DeletePricingResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/DeletePricing", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) DeletePriceList(ctx context.Context, in *DeletePriceListRequest, opts ...grpc.CallOption) (*DeletePriceListResponse, error) {
	out := new(DeletePriceListResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/DeletePriceList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) UpdatePriceList(ctx context.Context, in *UpdatePriceListRequest, opts ...grpc.CallOption) (*UpdatePriceListResponse, error) {
	out := new(UpdatePriceListResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.PricingService/UpdatePriceList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pricingServiceClient) UploadPricing(ctx context.Context, opts ...grpc.CallOption) (PricingService_UploadPricingClient, error) {
	stream, err := c.cc.NewStream(ctx, &PricingService_ServiceDesc.Streams[0], "/fcp.order.v1.order_web.PricingService/UploadPricing", opts...)
	if err != nil {
		return nil, err
	}
	x := &pricingServiceUploadPricingClient{stream}
	return x, nil
}

type PricingService_UploadPricingClient interface {
	Send(*UploadPricingRequest) error
	CloseAndRecv() (*UploadPricingResponse, error)
	grpc.ClientStream
}

type pricingServiceUploadPricingClient struct {
	grpc.ClientStream
}

func (x *pricingServiceUploadPricingClient) Send(m *UploadPricingRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *pricingServiceUploadPricingClient) CloseAndRecv() (*UploadPricingResponse, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(UploadPricingResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// PricingServiceServer is the server API for PricingService service.
// All implementations must embed UnimplementedPricingServiceServer
// for forward compatibility
type PricingServiceServer interface {
	ListPricingProcess(context.Context, *order.ListPricingProcessRequest) (*order.DictResponse, error)
	ListPricingProcessType(context.Context, *order.ListPricingProcessTypeRequest) (*order.DictResponse, error)
	ListPricingCategory(context.Context, *order.ListPricingCategoryRequest) (*order.DictResponse, error)
	ListPricingBrand(context.Context, *order.ListPricingBrandRequest) (*order.DictResponse, error)
	ListPricingProduct(context.Context, *order.ListPricingProductRequest) (*order.DictResponse, error)
	ListPricingQuantityType(context.Context, *order.ListPricingQuantityTypeRequest) (*order.DictResponse, error)
	ListPricingProductGroup(context.Context, *order.ListPricingProductGroupRequest) (*order.DictResponse, error)
	ListPricingWarehouse(context.Context, *order.ListPricingWarehouseLocationRequest) (*order.DictResponse, error)
	ListPricingDeliveryCondition(context.Context, *order.ListPricingDeliveryConditionRequest) (*order.DictResponse, error)
	ListPricingNames(context.Context, *order.ListPricingNamesRequest) (*order.ListPricingNamesResponse, error)
	// not implemented
	ListPricingSubGroup(context.Context, *order.ListPricingProductSubGroupRequest) (*order.DictResponse, error)
	ListPricingSortType(context.Context, *order.ListPricingSortTypeRequest) (*order.DictResponse, error)
	ListPricingPlantType(context.Context, *order.ListPricingPlantTypeRequest) (*order.DictResponse, error)
	ListPricingSpecies(context.Context, *order.ListPricingSpeciesRequest) (*order.DictResponse, error)
	ListPricingMaturityGroup(context.Context, *order.ListPricingMaturityGroupRequest) (*order.DictResponse, error)
	ListPricingFruitForm(context.Context, *order.ListPricingFruitFormRequest) (*order.DictResponse, error)
	ListPricingPollinationType(context.Context, *order.ListPricingPollinationTypeRequest) (*order.DictResponse, error)
	GetPricing(context.Context, *order.GetPricingRequest) (*order.GetPricingResponse, error)
	ListPricing(context.Context, *order.ListPricingRequest) (*order.ListPricingResponse, error)
	SavePricing(context.Context, *SavePricingRequest) (*SavePricingResponse, error)
	DeletePricing(context.Context, *DeletePricingRequest) (*DeletePricingResponse, error)
	DeletePriceList(context.Context, *DeletePriceListRequest) (*DeletePriceListResponse, error)
	UpdatePriceList(context.Context, *UpdatePriceListRequest) (*UpdatePriceListResponse, error)
	UploadPricing(PricingService_UploadPricingServer) error
	mustEmbedUnimplementedPricingServiceServer()
}

// UnimplementedPricingServiceServer must be embedded to have forward compatible implementations.
type UnimplementedPricingServiceServer struct {
}

func (UnimplementedPricingServiceServer) ListPricingProcess(context.Context, *order.ListPricingProcessRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingProcess not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingProcessType(context.Context, *order.ListPricingProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingProcessType not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingCategory(context.Context, *order.ListPricingCategoryRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingCategory not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingBrand(context.Context, *order.ListPricingBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingBrand not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingProduct(context.Context, *order.ListPricingProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingProduct not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingQuantityType(context.Context, *order.ListPricingQuantityTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingQuantityType not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingProductGroup(context.Context, *order.ListPricingProductGroupRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingProductGroup not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingWarehouse(context.Context, *order.ListPricingWarehouseLocationRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingWarehouse not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingDeliveryCondition(context.Context, *order.ListPricingDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingDeliveryCondition not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingNames(context.Context, *order.ListPricingNamesRequest) (*order.ListPricingNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingNames not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingSubGroup(context.Context, *order.ListPricingProductSubGroupRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingSubGroup not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingSortType(context.Context, *order.ListPricingSortTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingSortType not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingPlantType(context.Context, *order.ListPricingPlantTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingPlantType not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingSpecies(context.Context, *order.ListPricingSpeciesRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingSpecies not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingMaturityGroup(context.Context, *order.ListPricingMaturityGroupRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingMaturityGroup not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingFruitForm(context.Context, *order.ListPricingFruitFormRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingFruitForm not implemented")
}
func (UnimplementedPricingServiceServer) ListPricingPollinationType(context.Context, *order.ListPricingPollinationTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricingPollinationType not implemented")
}
func (UnimplementedPricingServiceServer) GetPricing(context.Context, *order.GetPricingRequest) (*order.GetPricingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPricing not implemented")
}
func (UnimplementedPricingServiceServer) ListPricing(context.Context, *order.ListPricingRequest) (*order.ListPricingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPricing not implemented")
}
func (UnimplementedPricingServiceServer) SavePricing(context.Context, *SavePricingRequest) (*SavePricingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SavePricing not implemented")
}
func (UnimplementedPricingServiceServer) DeletePricing(context.Context, *DeletePricingRequest) (*DeletePricingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeletePricing not implemented")
}
func (UnimplementedPricingServiceServer) DeletePriceList(context.Context, *DeletePriceListRequest) (*DeletePriceListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeletePriceList not implemented")
}
func (UnimplementedPricingServiceServer) UpdatePriceList(context.Context, *UpdatePriceListRequest) (*UpdatePriceListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdatePriceList not implemented")
}
func (UnimplementedPricingServiceServer) UploadPricing(PricingService_UploadPricingServer) error {
	return status.Errorf(codes.Unimplemented, "method UploadPricing not implemented")
}
func (UnimplementedPricingServiceServer) mustEmbedUnimplementedPricingServiceServer() {}

// UnsafePricingServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to PricingServiceServer will
// result in compilation errors.
type UnsafePricingServiceServer interface {
	mustEmbedUnimplementedPricingServiceServer()
}

func RegisterPricingServiceServer(s grpc.ServiceRegistrar, srv PricingServiceServer) {
	s.RegisterService(&PricingService_ServiceDesc, srv)
}

func _PricingService_ListPricingProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingProcess(ctx, req.(*order.ListPricingProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingProcessType(ctx, req.(*order.ListPricingProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingCategory(ctx, req.(*order.ListPricingCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingBrand(ctx, req.(*order.ListPricingBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingProduct(ctx, req.(*order.ListPricingProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingQuantityType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingQuantityTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingQuantityType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingQuantityType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingQuantityType(ctx, req.(*order.ListPricingQuantityTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingProductGroup_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProductGroupRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingProductGroup(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingProductGroup",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingProductGroup(ctx, req.(*order.ListPricingProductGroupRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingWarehouse_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingWarehouseLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingWarehouse(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingWarehouse",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingWarehouse(ctx, req.(*order.ListPricingWarehouseLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingDeliveryCondition(ctx, req.(*order.ListPricingDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingNames(ctx, req.(*order.ListPricingNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingSubGroup_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingProductSubGroupRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingSubGroup(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingSubGroup",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingSubGroup(ctx, req.(*order.ListPricingProductSubGroupRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingSortType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingSortTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingSortType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingSortType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingSortType(ctx, req.(*order.ListPricingSortTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingPlantType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingPlantTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingPlantType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingPlantType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingPlantType(ctx, req.(*order.ListPricingPlantTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingSpecies_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingSpeciesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingSpecies(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingSpecies",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingSpecies(ctx, req.(*order.ListPricingSpeciesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingMaturityGroup_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingMaturityGroupRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingMaturityGroup(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingMaturityGroup",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingMaturityGroup(ctx, req.(*order.ListPricingMaturityGroupRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingFruitForm_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingFruitFormRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingFruitForm(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingFruitForm",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingFruitForm(ctx, req.(*order.ListPricingFruitFormRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricingPollinationType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingPollinationTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricingPollinationType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricingPollinationType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricingPollinationType(ctx, req.(*order.ListPricingPollinationTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_GetPricing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetPricingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).GetPricing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/GetPricing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).GetPricing(ctx, req.(*order.GetPricingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_ListPricing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListPricingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).ListPricing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/ListPricing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).ListPricing(ctx, req.(*order.ListPricingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_SavePricing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SavePricingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).SavePricing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/SavePricing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).SavePricing(ctx, req.(*SavePricingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_DeletePricing_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePricingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).DeletePricing(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/DeletePricing",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).DeletePricing(ctx, req.(*DeletePricingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_DeletePriceList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePriceListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).DeletePriceList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/DeletePriceList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).DeletePriceList(ctx, req.(*DeletePriceListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_UpdatePriceList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdatePriceListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PricingServiceServer).UpdatePriceList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.PricingService/UpdatePriceList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PricingServiceServer).UpdatePriceList(ctx, req.(*UpdatePriceListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PricingService_UploadPricing_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(PricingServiceServer).UploadPricing(&pricingServiceUploadPricingServer{stream})
}

type PricingService_UploadPricingServer interface {
	SendAndClose(*UploadPricingResponse) error
	Recv() (*UploadPricingRequest, error)
	grpc.ServerStream
}

type pricingServiceUploadPricingServer struct {
	grpc.ServerStream
}

func (x *pricingServiceUploadPricingServer) SendAndClose(m *UploadPricingResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *pricingServiceUploadPricingServer) Recv() (*UploadPricingRequest, error) {
	m := new(UploadPricingRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// PricingService_ServiceDesc is the grpc.ServiceDesc for PricingService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var PricingService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_web.PricingService",
	HandlerType: (*PricingServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListPricingProcess",
			Handler:    _PricingService_ListPricingProcess_Handler,
		},
		{
			MethodName: "ListPricingProcessType",
			Handler:    _PricingService_ListPricingProcessType_Handler,
		},
		{
			MethodName: "ListPricingCategory",
			Handler:    _PricingService_ListPricingCategory_Handler,
		},
		{
			MethodName: "ListPricingBrand",
			Handler:    _PricingService_ListPricingBrand_Handler,
		},
		{
			MethodName: "ListPricingProduct",
			Handler:    _PricingService_ListPricingProduct_Handler,
		},
		{
			MethodName: "ListPricingQuantityType",
			Handler:    _PricingService_ListPricingQuantityType_Handler,
		},
		{
			MethodName: "ListPricingProductGroup",
			Handler:    _PricingService_ListPricingProductGroup_Handler,
		},
		{
			MethodName: "ListPricingWarehouse",
			Handler:    _PricingService_ListPricingWarehouse_Handler,
		},
		{
			MethodName: "ListPricingDeliveryCondition",
			Handler:    _PricingService_ListPricingDeliveryCondition_Handler,
		},
		{
			MethodName: "ListPricingNames",
			Handler:    _PricingService_ListPricingNames_Handler,
		},
		{
			MethodName: "ListPricingSubGroup",
			Handler:    _PricingService_ListPricingSubGroup_Handler,
		},
		{
			MethodName: "ListPricingSortType",
			Handler:    _PricingService_ListPricingSortType_Handler,
		},
		{
			MethodName: "ListPricingPlantType",
			Handler:    _PricingService_ListPricingPlantType_Handler,
		},
		{
			MethodName: "ListPricingSpecies",
			Handler:    _PricingService_ListPricingSpecies_Handler,
		},
		{
			MethodName: "ListPricingMaturityGroup",
			Handler:    _PricingService_ListPricingMaturityGroup_Handler,
		},
		{
			MethodName: "ListPricingFruitForm",
			Handler:    _PricingService_ListPricingFruitForm_Handler,
		},
		{
			MethodName: "ListPricingPollinationType",
			Handler:    _PricingService_ListPricingPollinationType_Handler,
		},
		{
			MethodName: "GetPricing",
			Handler:    _PricingService_GetPricing_Handler,
		},
		{
			MethodName: "ListPricing",
			Handler:    _PricingService_ListPricing_Handler,
		},
		{
			MethodName: "SavePricing",
			Handler:    _PricingService_SavePricing_Handler,
		},
		{
			MethodName: "DeletePricing",
			Handler:    _PricingService_DeletePricing_Handler,
		},
		{
			MethodName: "DeletePriceList",
			Handler:    _PricingService_DeletePriceList_Handler,
		},
		{
			MethodName: "UpdatePriceList",
			Handler:    _PricingService_UpdatePriceList_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "UploadPricing",
			Handler:       _PricingService_UploadPricing_Handler,
			ClientStreams: true,
		},
	},
	Metadata: "v1/order_web/pricing_web.proto",
}
